Skip to content
Start here

Generate summary of Transcripts for the session

client.RealtimeKit.Sessions.GenerateSummaryOfTranscripts(ctx, appID, sessionID, body) error
POST/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Trigger Summary generation of Transcripts for the session ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
sessionID string
body SessionGenerateSummaryOfTranscriptsParams
AccountID param.Field[string]

The account identifier tag.

maxLength32

Generate summary of Transcripts for the session

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.RealtimeKit.Sessions.GenerateSummaryOfTranscripts(
    context.TODO(),
    "app_id",
    "session_id",
    realtime_kit.SessionGenerateSummaryOfTranscriptsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples